#!/bin/bash
# Script to collect take the location of a VOLDESC.CAT file and 
# generate a proper inventory entry
# Written: Todd King 03/10/06
#
VOLPATH=`dirname $1`
OUTPATH=`echo $VOLPATH | sed 's:/PDS/VOLUME/:/:' | sed 's:^/pds::' `

# Output SLOT info
echo "SLOT=$OUTPATH"

# Check for custom browser
if [ -f $VOLPATH/AAREADME.HTM ]; then
   echo "BROWSER=$OUTPATH/AAREADME.HTM"
fi

# Check for a map file
if [ -f $VOLPATH/EXTRAS/MAP.HTM ]; then
   echo "BROWSER=$OUTPATH/EXTRAS/MAP.HTM"
fi

# Output the VOLDESC.CAT
cat $1
